Subject: Re: TMDA in Front of WG Mailman

From: Ralph Droms <[email-masked]>
Date: Mon, 09 Apr 2007 11:04:47 -0400

What is the current policy for e-mail that is filtered out as potential
spam?  Does it need explicit review by the WG chairs or is automatic
filtering acceptable?  If explicit review is the BCP, will that change to
allow automatic filtering with TMDA?

- Ralph

On 4/9/07 10:46 AM, "Russ Housley" <[email-masked]> wrote:

> Eric:
> 
> We have done some experiments, and found it to very effective with
> almost no use of the challenge/response mechanism.  The use of the
> whitelist composed of members of all ietf.org mail list really keeps
> this to an absolute minimum.  I agree with the approach being taken
> by the Secretariat.
> 
> Russ
> 
> 
> At 09:44 AM 4/9/2007, Eric Rescorla wrote:
>> At Mon, 9 Apr 2007 09:32:42 -0400,
>> Fuller, Barbara wrote:
>>> 
>>> [1  <text/plain; us-ascii (quoted-printable)>]
>>> Dear IETF WG Chairs,
>>> 
>>> I am resending this message because the original one had an incorrect
>>> "Subject" line.
>>> 
>>> Barbara
>>> ------------------------------------------------------------------------
>>> -
>>> Many of you have indicated that your WG mailing lists hosted at ietf.org
>>> receive large volumes of spam, which makes moderating the lists
>>> difficult.  The Secretariat has been experimenting with inserting
>>> "Tagged Message Delivery Agent" (TMDA) in front of Mailman lists, and
>>> the experiment has been quite successful in reducing the number of spam
>>> message that reach these lists.  Therefore, we would like to offer this
>>> service to all WG chairs who are interested in taking advantage of it.
>>> 
>>> The measures used by TMDA to thwart spam include:
>>> 
>>> (a) Whitelists: accepting mail from known, trusted senders.
>>> 
>>> (b) Blacklists: refusing mail from undesirable senders (i.e., known
>>> spammers).
>>> 
>>> (c) Challenge/Response: allowing unknown senders who are not on the
>>> Whitelist or Blacklist the chance to confirm that their messages are
>>> legitimate (at which time they are added to the Whitelist).
>>> 
>>> For IETF, the Whitelist includes every address that is subscribed to any
>>> IETF mailing list, and the Blacklist includes any addresses that the
>>> list administrators request be placed on them (i.e., because of repeated
>>> spamming).  A sender who is new to the IETF would need to respond to the
>>> challenge only once in order to be Whitelisted.
>>> 
>>> We plan to implement TMDA on the WG mailing lists beginning on Monday,
>>> April 16th, and hope to complete the process in approximately one month.
>>> If you do *not* want TMDA inserted in front of your WG list, then we
>>> would appreciate hearing from you by no later than Friday, April 13th.
>>> If we do not hear from you by 5:30 ET on that date, then we will assume
>>> that you want us to proceed.  Each list administrator will be notified
>>> by e-mail when TMDA had been inserted in front of his or her WG mailing
>>> list.
>> 
>> This sort of change seems like a program which would be better to
>> be offered on an opt-in basis.
>> 
>> 
>>> Once again, this program is voluntary, so please be sure to let us know
>>> if you wish to "opt out."
>> 
>> Please do not turn this feature on for [email-masked]
>> 
>> -Ekr

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 9 Apr 2007 09:54:01 -0700

A way to look at this configuration is that the whitelist is pooled across the mailing list instances. This means less spurious challenges when responding to cross posted messages.

Looks like the right way to go if this is instead of the mailing list level control.

I do not agree with use of challenge response in general but it is generally accepted for mailing lists.

Sent from my GoodLink Wireless Handheld (www.good.com)

 -----Original Message-----
From: 	Russ Housley [mailto:[email-masked]]
Sent:	Monday, April 09, 2007 07:59 AM Pacific Standard Time
To:	Eric Rescorla; Fuller, Barbara
Cc:	[email-masked]; [email-masked]; Lindberg,Jon; [email-masked]
Subject:	Re: TMDA in Front of WG Mailman

Eric:

Russ